Package com.ocient.procedures

# Class ResultSetBuilder

java.lang.Object
com.ocient.procedures.ResultSetBuilder

public class ResultSetBuilder extends Object

## Constructor Summary

Constructors
Constructor
Description
`ResultSetBuilder(String databaseName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addRow(List<Object> row)`
`void`
`appendExistingResultSet(ResultSet rs)`
`void`
`fromExistingResultSet(ResultSet rs)`
`ArrayList<String>`
`getColsInOrder()`
`List<Object>`
`getRow(int index)`
`ArrayList<String>`
`getTypesInOrder()`
`int`
`numRows()`
`void`
`setResultSetMetadata(ArrayList<String> cols, ArrayList<String> types)`
`void`
`setResultSetMetadata(Map<String,String> cols2Types, Map<String,Integer> cols2Pos)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResultSetBuilder

public ResultSetBuilder(String databaseName)

## Method Details

### setResultSetMetadata

public void setResultSetMetadata(ArrayList<String> cols, ArrayList<String> types) throws Exception

Throws:
  `Exception`

### setResultSetMetadata

public void setResultSetMetadata(Map<String,String> cols2Types, Map<String,Integer> cols2Pos) throws Exception

Throws:
  `Exception`

### getColsInOrder

public ArrayList<String> getColsInOrder()

### getTypesInOrder

public ArrayList<String> getTypesInOrder()

### addRow

public void addRow(List<Object> row) throws Exception

Throws:
  `Exception`

### fromExistingResultSet

public void fromExistingResultSet(ResultSet rs) throws Exception

Throws:
  `Exception`

### appendExistingResultSet

public void appendExistingResultSet(ResultSet rs) throws SQLException, Exception

Throws:
  `SQLException`
  `Exception`

### numRows

public int numRows()

### getRow

public List<Object> getRow(int index)